@import "abbr";
@import "bootstrap";
@import "hero";
@import "home";
@import "modal";
@import "variables";
@import "viewer-page";

*, *::before, *::after {
  box-sizing: border-box;
}

h2 {
  border-bottom: 0;
}
img {
  max-width: 100%;
}

body.body--dark, body.body--light {
  background: transparent !important;
}

.theme-default-content, .theme-default-content, .theme-default-content, .theme-default-content {
  h1, h2, h3, h4 {
    margin-top: 0;
    margin-bottom: 0;
    padding-top: 0;
  }

  h1 {
    margin-top: 2.5rem;
  }

  h2 {
    margin-top: 2.5rem;
  }

  h3 {
    margin-top: 2rem;
  }

  a.btn:hover {
    text-decoration: none;
  }
}

// Bug fixing: menu items vanish when combining whitemode and darkmode
[data-bs-theme=dark] .navbar {
  color:#adbac7;
}

[data-bs-theme=light] .navbar {
  color:#2c3e50;
}